Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic
Class StructureDefImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.generic.StructureDefImpl`

All Implemented Interfaces:
  StructureDef, oracle.jbo.rules.ValidationManager

public class StructureDefImpl
extends oracle.jbo.mom.DefinitionObject
implements StructureDef, oracle.jbo.rules.ValidationManager

Imlemented by classes that access a View Object's or Entity Object's metadata.

Since:
  JDeveloper 3.0
See Also:
  `ApplicationModule`, `RowSet`

Field Summary
`protected StructureDefImpl[]` | `mAccessors`
`protected AttributeDefImpl[]` | `mAttrs`
`protected java.lang.Class` | `mBeanClass`
`protected java.lang.String` | `mBeanClassName`
`protected boolean` | `mElementsScalar`
`protected java.lang.Class` | `mMsgClass`
`protected java.lang.String` | `mMsgClassName`
`protected java.lang.String` | `mName`
`protected StructureDefImpl[]` | `mScalarAccessors`
`static java.lang.String` | `PName_AccessorAttribute`
`static java.lang.String` | `PName_ArrayElementType`
`static java.lang.String` | `PName_Attribute`
`static java.lang.String` | `PName_BeanClass`
`static java.lang.String` | `PName_CollectionBeanClass`
`static java.lang.String` | `PName_FieldName`
`static java.lang.String` | `PName_FieldType`
`static java.lang.String` | `PName_IsCollection`
`static java.lang.String` | `PName_IsStructured`
`static java.lang.String` | `PName_Master`
`static java.lang.String` | `PName_MasterAccName`
`static java.lang.String` | `PName_MsgBundleClass`
`static java.lang.String` | `PName_Name`
`static java.lang.String` | `PName_ReadOnly`
`static java.lang.String` | `SCALAR_ELEMENT_NAME`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`StructureDefImpl()`
`StructureDefImpl(DCDataControl app, java.lang.String sDefName, java.lang.String sName)`

Method Summary
`void` | `addValidator(oracle.jbo.rules.JboValidatorInterface intf)`
`static StructureDefImpl` | `createAndLoadFromXML(oracle.jbo.mom.xml.DefElement elem)`
`protected StructureDefImpl` | `createNewAccessor(java.lang.String sDefName, java.lang.String sName, DCDataControl app)`
`AttributeDef` | `findAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`StructureDefImpl` | `getAccessorDef(java.lang.String name)`
`StructureDefImpl[]` | `getAccessors()`
`java.lang.String` | `getArrayElementType()`
`int` | `getAttributeCount()` Returns the number of defined attributes.
`AttributeDef` | `getAttributeDef(int index)` Gets an attribute definition, given its index.
`AttributeDef[]` | `getAttributeDefs()` Gets the defined attributes.
`int` | `getAttributeIndexOf(java.lang.String name)` Finds the index (0-based) of the named attribute.
`java.lang.Class` | `getBeanClass()`
`java.lang.String` | `getBeanClassName()`
`java.lang.String` | `getDefFullName()` Returns the fully qualified name of the structure's base definition.
`java.lang.String` | `getDefName()` Returns the structure's base definition name (short form).
`java.lang.String` | `getFieldType()`
`java.lang.String` | `getMessageBundleClassName()`
`protected StructureDefImpl[]` | `getScalarAccessorsList()`
`java.util.ArrayList` | `getValidators()`
`void` | `init(java.util.HashMap map)` Advanced only for testing purposes.
`boolean` | `isCollection()`
`AttributeDef` | `lookupAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`protected void` | `readChildren(oracle.jbo.mom.xml.DefElement elem)`
`void` | `readContents(oracle.jbo.mom.xml.DefElement elem)`
`void` | `setArrayElementType(java.lang.String sType)`
`void` | `setBeanClassName(java.lang.String sName)`
`void` | `setFieldType(java.lang.String sType)`
`void` | `setIsCollection(boolean bSet)`
`protected void` | `setName(java.lang.String str)`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.StructureDef
`getFullName, getName`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### mAttrs

    protected AttributeDefImpl[] mAttrs

### mAccessors

    protected StructureDefImpl[] mAccessors

### mScalarAccessors

    protected StructureDefImpl[] mScalarAccessors

### mName

    protected java.lang.String mName

### mMsgClassName

    protected java.lang.String mMsgClassName

### mBeanClassName

    protected java.lang.String mBeanClassName

### mBeanClass

    protected java.lang.Class mBeanClass

### mMsgClass

    protected java.lang.Class mMsgClass

### mElementsScalar

    protected boolean mElementsScalar

### PName_Attribute

    public static final java.lang.String PName_Attribute

  See Also:
    Constant Field Values

### PName_AccessorAttribute

    public static final java.lang.String PName_AccessorAttribute

  See Also:
    Constant Field Values

### PName_FieldName

    public static final java.lang.String PName_FieldName

  See Also:
    Constant Field Values

### PName_FieldType

    public static final java.lang.String PName_FieldType

  See Also:
    Constant Field Values

### PName_BeanClass

    public static final java.lang.String PName_BeanClass

  See Also:
    Constant Field Values

### PName_MsgBundleClass

    public static final java.lang.String PName_MsgBundleClass

  See Also:
    Constant Field Values

### PName_Master

    public static final java.lang.String PName_Master

  See Also:
    Constant Field Values

### PName_MasterAccName

    public static final java.lang.String PName_MasterAccName

  See Also:
    Constant Field Values

### PName_IsCollection

    public static final java.lang.String PName_IsCollection

  See Also:
    Constant Field Values

### PName_IsStructured

    public static final java.lang.String PName_IsStructured

  See Also:
    Constant Field Values

### PName_ArrayElementType

    public static final java.lang.String PName_ArrayElementType

  See Also:
    Constant Field Values

### PName_Name

    public static final java.lang.String PName_Name

  See Also:
    Constant Field Values

### PName_ReadOnly

    public static final java.lang.String PName_ReadOnly

  See Also:
    Constant Field Values

### SCALAR_ELEMENT_NAME

    public static final java.lang.String SCALAR_ELEMENT_NAME

  See Also:
    Constant Field Values

### PName_CollectionBeanClass

    public static final java.lang.String PName_CollectionBeanClass

  See Also:
    Constant Field Values

Constructor Detail

### StructureDefImpl

    public StructureDefImpl()

### StructureDefImpl

    public StructureDefImpl(DCDataControl app,
                            java.lang.String sDefName,
                            java.lang.String sName)

Method Detail

### getDefName

    public java.lang.String getDefName()

  Description copied from interface: `StructureDef`
  Returns the structure's base definition name (short form). Note that, in some cases, a StructureDef may have an instance name and definition name. For example, for a View Object, `getName()` returns the VO's instance name and `getDefName()` returns the View definition's name.
  Specified by:
    `getDefName` in interface `StructureDef`
  Returns:
    name of the structure's base definition.

### getDefFullName

    public java.lang.String getDefFullName()

  Description copied from interface: `StructureDef`
  Returns the fully qualified name of the structure's base definition. Note that, in some cases, a StructureDef may have an instance name and definition name. For example, for a View Object, `getFullName()` returns the VO's full instance name and `getDefFullName()` returns the View definition's full name.
  Specified by:
    `getDefFullName` in interface `StructureDef`
  Returns:
    fully qualified name of the structure's base definition.

### getArrayElementType

    public java.lang.String getArrayElementType()

### setArrayElementType

    public void setArrayElementType(java.lang.String sType)

### isCollection

    public boolean isCollection()

### setIsCollection

    public void setIsCollection(boolean bSet)

### getAttributeDefs

    public AttributeDef[] getAttributeDefs()

  Gets the defined attributes.
  Specified by:
    `getAttributeDefs` in interface `StructureDef`
  Returns:
    an array of attribute definitions.

### getAttributeCount

    public int getAttributeCount()

  Returns the number of defined attributes.
  Specified by:
    `getAttributeCount` in interface `StructureDef`
  Returns:
    the number of attributes.

### findAttributeDef

    public AttributeDef findAttributeDef(java.lang.String name)

  Gets an attribute definition, given its name.
  Specified by:
    `findAttributeDef` in interface `StructureDef`
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition
  Throws:
    `NoDefException` - - if the attribute is not found.

### lookupAttributeDef

    public AttributeDef lookupAttributeDef(java.lang.String name)

  Gets an attribute definition, given its name.
  Specified by:
    `lookupAttributeDef` in interface `StructureDef`
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition if found, null otherwise

### getAttributeDef

    public AttributeDef getAttributeDef(int index)

  Gets an attribute definition, given its index.
  Specified by:
    `getAttributeDef` in interface `StructureDef`
  Parameters:
    `index` - the index of an `AttributeDef`, where the leftmost attribute has index zero.
  Returns:
    an attribute definition.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Description copied from interface: `StructureDef`
  Finds the index (0-based) of the named attribute.
  Specified by:
    `getAttributeIndexOf` in interface `StructureDef`
  Parameters:
    `name` - the attribute's name.
  Returns:
    an integer in the range `0` to `getAttributeCount() - 1`. If the named attribute is not found, it returns -1.

### getAccessorDef

    public StructureDefImpl getAccessorDef(java.lang.String name)

### getAccessors

    public StructureDefImpl[] getAccessors()

### createAndLoadFromXML

    public static StructureDefImpl createAndLoadFromXML(oracle.jbo.mom.xml.DefElement elem)

### init

    public void init(java.util.HashMap map)

  Advanced only for testing purposes.

### readContents

    public void readContents(oracle.jbo.mom.xml.DefElement elem)

### readChildren

    protected void readChildren(oracle.jbo.mom.xml.DefElement elem)

### getScalarAccessorsList

    protected StructureDefImpl[] getScalarAccessorsList()

### createNewAccessor

    protected StructureDefImpl createNewAccessor(java.lang.String sDefName,
                                                 java.lang.String sName,
                                                 DCDataControl app)

### setName

    protected void setName(java.lang.String str)

### getFieldType

    public java.lang.String getFieldType()

### setFieldType

    public void setFieldType(java.lang.String sType)

### getMessageBundleClassName

    public java.lang.String getMessageBundleClassName()

### getBeanClassName

    public java.lang.String getBeanClassName()

### setBeanClassName

    public void setBeanClassName(java.lang.String sName)

### getBeanClass

    public java.lang.Class getBeanClass()

### addValidator

    public void addValidator(oracle.jbo.rules.JboValidatorInterface intf)

  Specified by:
    `addValidator` in interface `oracle.jbo.rules.ValidationManager`

### getValidators

    public java.util.ArrayList getValidators()

  Specified by:
    `getValidators` in interface `oracle.jbo.rules.ValidationManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.